GET /platform/v1/ens-subscriptions-by-cb/{callbackId}

Overview 

Retrieves details for all subscriptions associated with a callback.

URL Parameters 

NameTypeDescription
callbackIdstringRequiredUnique identifier of the callback.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /platform/v1/ens-subscriptions-by-cb/65b885ab-c2b4-46fe-85d0-d6cb8be8057d
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response 

1HTTP/1.1 200 Success
2[{
3    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
4    "callbackName": "cbName",
5    "url": "https://example.com/",
6    "maxBatchSize": 1000,
7    "subscriptionId": "d89c87c4-70f8-43d6-be1e-f01dce97fe4c",
8    "subscriptionName": "subscriptionName",
9    "eventCategoryTypes": ["TransactionalSendEvents.EmailNotSent",
10    "TransactionalSendEvents.EmailSent"],
11    "filters": ["definitionKey=12345"],
12    "status": "active",
13    "statusReason": ""
14  },
15{
16    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
17    "callbackName": "cbName",
18    "url": "https://example.com/",
19    "maxBatchSize": 1000,
20    "subscriptionId": "55afe59f-8d20-46fd-a2d1-ff01453abe90",
21    "subscriptionName": "subscriptionName2",
22    "eventCategoryTypes": ["TransactionalOpenEvents.EmailOpen",
23    "TransactionalOpenEvents.EmailNotOpen"],
24    "filters": ["definitionKey=12345"],
25    "status": "active",
26    "statusReason": ""
27  }]

HTTP Responses 

ResponseReason
200 SuccessCallback subscriptions retrieved.
400 Bad RequestInvalid request
403 ForbiddenFailed to pass authorization.
404 Not FoundCallback ID doesn’t exist for this MID.
500 Server ErrorInternal error

See Also